import os
import sys
import logging

from dotenv import load_dotenv
from pathlib import Path

env_path = Path('.') / '.env'
load_dotenv(dotenv_path=env_path)

logging.basicConfig(
    stream=sys.stdout,
    level=os.environ.get('SCALR_LOG_LEVEL', 'INFO').upper(),
    format='%(asctime)s - %(name)s:%(levelname)s:%(message)s')

log = logging.getLogger('scalr')
log.debug('Init')
